## com.google.gwt.user.client.rpc
Interface SerializationStreamWriter

public interface SerializationStreamWriter

An interface for writing values from a stream.

Method Summary
`void` `writeBoolean(boolean value)`
`void` `writeByte(byte value)`
`void` `writeChar(char value)`
`void` `writeDouble(double value)`
`void` `writeFloat(float value)`
`void` `writeInt(int value)`
`void` `writeLong(long value)`
`void` `writeObject(java.lang.Object value)`
`void` `writeShort(short value)`
`void` `writeString(java.lang.String value)`

Method Detail

### writeBoolean

    public void writeBoolean(boolean value)
                      throws SerializationException

  Throws:
    `SerializationException`

### writeByte

    public void writeByte(byte value)
                   throws SerializationException

  Throws:
    `SerializationException`

### writeChar

    public void writeChar(char value)
                   throws SerializationException

  Throws:
    `SerializationException`

### writeDouble

    public void writeDouble(double value)
                     throws SerializationException

  Throws:
    `SerializationException`

### writeFloat

    public void writeFloat(float value)
                    throws SerializationException

  Throws:
    `SerializationException`

### writeInt

    public void writeInt(int value)
                  throws SerializationException

  Throws:
    `SerializationException`

### writeLong

    public void writeLong(long value)
                   throws SerializationException

  Throws:
    `SerializationException`

### writeObject

    public void writeObject(java.lang.Object value)
                     throws SerializationException

  Throws:
    `SerializationException`

### writeShort

    public void writeShort(short value)
                    throws SerializationException

  Throws:
    `SerializationException`

### writeString

    public void writeString(java.lang.String value)
                     throws SerializationException

  Throws:
    `SerializationException`